#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	numpy
Version		:	1.26.2
Release		:	17.0.10.rel%{?dist}
Summary		:	A fast multidimensional array facility for Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and Python and ASL 2.0
URL		:	http://www.numpy.org/
			#https://github.com/numpy/numpy/tags

Source0		:	%{name}-%{version}.tar.gz
source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cython	>=	0.29.21
BuildRequires	:	meson-python
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-installer
BuildRequires	:	python-pyproject-metadata
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

Requires	:	%{__python}

#-----------------------------------------------------------------------------
%description
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.
 
There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation. Also included in
this package is a version of f2py that works properly with NumPy.

#=============================================================================
%package		-n python3-%{name}
Summary		:	A fast multidimensional array facility for Python
 
License		:        BSD 

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++
BuildRequires	:	python3-cython
BuildRequires	:	python3-setuptools

#-----------------------------------------------------------------------------
%description		-n python3-%{name}
NumPy is a general-purpose array-processing package designed to
efficiently manipulate large multi-dimensional arrays of arbitrary
records without sacrificing too much speed for small multi-dimensional
arrays.  NumPy is built on the Numeric code base and adds features
introduced by numarray as well as an extended C-API and the ability to
create arrays of arbitrary type.
 
There are also basic facilities for discrete fourier transform,
basic linear algebra and random number generation. Also included in
this package is a version of f2py that works properly with NumPy.

#-----------------------------------------------------------------------------
%files			-n python3-%{name}
%defattr(-,root,root,-)
%license LICENSE.txt
%doc THANKS.txt site.cfg.example
%{_includedir}/%{name}
%{python3_sitelib}/%{name}/py.typed
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/*.pyi
%{python3_sitelib}/%{name}/__init__.pxd
%{python3_sitelib}/%{name}/__init__.cython-30.pxd
%{python3_sitelib}/%{name}/__pycache__/*.pyc
%{python3_sitelib}/%{name}/_core/*.py
%{python3_sitelib}/%{name}/_core/*.pyi
%{python3_sitelib}/%{name}/_core/__pycache__/*.pyc
%{python3_sitelib}/%{name}/_utils/*.py
%{python3_sitelib}/%{name}/_utils/__pycache__/*.pyc
%{python3_sitelib}/%{name}/array_api/*.py
%{python3_sitelib}/%{name}/array_api/__pycache__/*.pyc
%{python3_sitelib}/%{name}/array_api/tests/*.py
%{python3_sitelib}/%{name}/array_api/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/compat/*.py
%{python3_sitelib}/%{name}/compat/__pycache__/*.pyc
%{python3_sitelib}/%{name}/compat/tests/*.py
%{python3_sitelib}/%{name}/compat/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/core/*.py
%{python3_sitelib}/%{name}/core/*.pyi
%{python3_sitelib}/%{name}/core/*.so
%{python3_sitelib}/%{name}/core/__pycache__/*.pyc
%{python3_sitelib}/%{name}/core/include/%{name}/random/LICENSE.txt
%{python3_sitelib}/%{name}/core/include/%{name}/*.h
%{python3_sitelib}/%{name}/core/include/%{name}/random/*.h
%{python3_sitelib}/%{name}/core/include/%{name}/__multiarray_api.c
%{python3_sitelib}/%{name}/core/include/%{name}/__ufunc_api.c
%{python3_sitelib}/%{name}/core/lib/libnpymath.a
%{python3_sitelib}/%{name}/core/lib/npy-pkg-config/*.ini
%{python3_sitelib}/%{name}/core/tests/*.py
%{python3_sitelib}/%{name}/core/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/core/tests/examples/cython/*.pyx
%{python3_sitelib}/%{name}/core/tests/examples/cython/*.py
%{python3_sitelib}/%{name}/core/tests/examples/cython/meson.build
%{python3_sitelib}/%{name}/core/tests/examples/cython/__pycache__/*.pyc
%{python3_sitelib}/%{name}/core/tests/examples/limited_api/limited_api.c
%{python3_sitelib}/%{name}/core/tests/examples/limited_api/setup.py
%{python3_sitelib}/%{name}/core/tests/examples/limited_api/__pycache__/*.pyc
%{python3_sitelib}/%{name}/core/tests/data/*
%{python3_sitelib}/%{name}/doc/*.py
%{python3_sitelib}/%{name}/doc/__pycache__/*.pyc
%{python3_sitelib}/%{name}/fft/*.py
%{python3_sitelib}/%{name}/fft/*.pyi
%{python3_sitelib}/%{name}/fft/*.so
%{python3_sitelib}/%{name}/fft/__pycache__/*.pyc
%{python3_sitelib}/%{name}/fft/tests/*.py
%{python3_sitelib}/%{name}/fft/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/lib/*.py
%{python3_sitelib}/%{name}/lib/*.pyi
%{python3_sitelib}/%{name}/lib/__pycache__/*.pyc
%{python3_sitelib}/%{name}/lib/tests/*.py
%{python3_sitelib}/%{name}/lib/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/lib/tests/data/*.{npy,npz}
%{python3_sitelib}/%{name}/linalg/*.py
%{python3_sitelib}/%{name}/linalg/*.pyi
%{python3_sitelib}/%{name}/linalg/*.so
%{python3_sitelib}/%{name}/linalg/__pycache__/*.pyc
%{python3_sitelib}/%{name}/linalg/tests/*.py
%{python3_sitelib}/%{name}/linalg/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/ma/API_CHANGES.txt
%{python3_sitelib}/%{name}/ma/LICENSE
%{python3_sitelib}/%{name}/ma/README.rst
%{python3_sitelib}/%{name}/ma/*.py
%{python3_sitelib}/%{name}/ma/*.pyi
%{python3_sitelib}/%{name}/ma/__pycache__/*.pyc
%{python3_sitelib}/%{name}/ma/tests/*.py
%{python3_sitelib}/%{name}/ma/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/matrixlib/*.py
%{python3_sitelib}/%{name}/matrixlib/*.pyi
%{python3_sitelib}/%{name}/matrixlib/__pycache__/*.pyc
%{python3_sitelib}/%{name}/matrixlib/tests/*.py
%{python3_sitelib}/%{name}/matrixlib/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/polynomial/*.py
%{python3_sitelib}/%{name}/polynomial/*.pyi
%{python3_sitelib}/%{name}/polynomial/__pycache__/*.pyc
%{python3_sitelib}/%{name}/polynomial/tests/*.py
%{python3_sitelib}/%{name}/polynomial/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/LICENSE.md
%{python3_sitelib}/%{name}/random/*.py
%{python3_sitelib}/%{name}/random/*.pyi
%{python3_sitelib}/%{name}/random/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/*.{pxd,so}
%{python3_sitelib}/%{name}/random/lib/libnpyrandom.a
%{python3_sitelib}/%{name}/random/_examples/cffi/*.py
%{python3_sitelib}/%{name}/random/_examples/cffi/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/_examples/cython/meson.build
%{python3_sitelib}/%{name}/random/_examples/cython/*.pyx
%{python3_sitelib}/%{name}/random/_examples/numba/*.py
%{python3_sitelib}/%{name}/random/_examples/numba/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/tests/*.py
%{python3_sitelib}/%{name}/random/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/tests/data/__pycache__/*.pyc
%{python3_sitelib}/%{name}/random/tests/data/*.py
%{python3_sitelib}/%{name}/random/tests/data/*.csv
%{python3_sitelib}/%{name}/testing/__pycache__/*.pyc
%{python3_sitelib}/%{name}/testing/*.py
%{python3_sitelib}/%{name}/testing/*.pyi
%{python3_sitelib}/%{name}/testing/_private/__pycache__/*.pyc
%{python3_sitelib}/%{name}/testing/_private/*.py
%{python3_sitelib}/%{name}/testing/_private/*.pyi
%{python3_sitelib}/%{name}/testing/tests/__init__.py
%{python3_sitelib}/%{name}/testing/tests/test_*.py
%{python3_sitelib}/%{name}/testing/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/tests/__init__.py
%{python3_sitelib}/%{name}/tests/test_*.py
%{python3_sitelib}/%{name}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/_pyinstaller/*.py
%{python3_sitelib}/%{name}/_pyinstaller/__pycache__/*.pyc
%{python3_sitelib}/%{name}/_typing/__pycache__/_*.pyc
%{python3_sitelib}/%{name}/_typing/__pycache__/setup.cpython*.pyc
%{python3_sitelib}/%{name}/_typing/_*.py
%{python3_sitelib}/%{name}/_typing/setup.py
%{python3_sitelib}/%{name}/_typing/_*.pyi
%{python3_sitelib}/%{name}/typing/*.py
%{python3_sitelib}/%{name}/typing/__pycache__/*.pyc
%{python3_sitelib}/%{name}/typing/tests/data/mypy.ini
%{python3_sitelib}/%{name}/typing/tests/data/fail/*.pyi
%{python3_sitelib}/%{name}/typing/tests/data/misc/*.pyi
%{python3_sitelib}/%{name}/typing/tests/data/pass/*.py
%{python3_sitelib}/%{name}/typing/tests/data/pass/__pycache__/*.pyc
%{python3_sitelib}/%{name}/typing/tests/data/reveal/*.pyi
%{python3_sitelib}/%{name}/typing/tests/__init__.py
%{python3_sitelib}/%{name}/typing/tests/test_*.py
%{python3_sitelib}/%{name}/typing/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}-%{version}.dist-info/

#=============================================================================
%package		-n python3-%{name}-f2py
Summary		:	f2py for numpy
 
#-----------------------------------------------------------------------------
Requires	:	python3-%{name}	=  %{version}-%{release}

Provides	:       python3-f2py	= %{version}-%{release}
Provides	:       f2py		= %{version}-%{release}
Provides	:       numpy-f2py	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		-n python3-%{name}-f2py
This package includes a version of f2py that works
properly with NumPy.

#-----------------------------------------------------------------------------
%files			-n python3-%{name}-f2py
%defattr(-,root,root,-)
%{_bindir}/f2py
%{python3_sitelib}/%{name}/f2py/*.py
%{python3_sitelib}/%{name}/f2py/*.pyi
%{python3_sitelib}/%{name}/f2py/__pycache__/*.pyc
%{python3_sitelib}/%{name}/f2py/_backends/meson.build.template
%{python3_sitelib}/%{name}/f2py/_backends/*.py
%{python3_sitelib}/%{name}/f2py/_backends/__pycache__/*.pyc
%{python3_sitelib}/%{name}/f2py/src/*
%{python3_sitelib}/%{name}/f2py/tests/*.py
%{python3_sitelib}/%{name}/f2py/tests/__pycache__/*.pyc
%{python3_sitelib}/%{name}/f2py/tests/src/*
%{python3_sitelib}/%{name}/f2py/setup.cfg

#=============================================================================
%package		-n python3-%{name}-doc
Summary		:	Documentation for numpy
 
#-----------------------------------------------------------------------------
Requires	:	python3-%{name}	=  %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		-n python3-%{name}-doc
This package provides the complete documentation for NumPy.

#-----------------------------------------------------------------------------
%files			-n python3-%{name}-doc
%defattr(-,root,root,-)
%doc docs/*

#=============================================================================
%prep
%setup -q -n %{name}-%{version}
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}							\
	-m build						\
	--wheel							\
	--skip-dependency-check					\
	--no-isolation						\
	-Csetup-args="-Dblas=cblas" 				\
	-Csetup-args="-Dlapack=lapack"				\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}							\
	-m installer						\
	--destdir=%{buildroot}					\
	dist/*.whl						\

#symlink for includes
%{__mkdir_p} %{buildroot}%{_includedir}
%{__ln_s}							\
	../../%{python3_sitelib}/%{name}/core/include/%{name}	\
	%{buildroot}%{_includedir}/%{name}

#install documentation
%{__mkdir} docs
(
cd docs
unzip ../%{name}-ok_addon/%{name}-1.26-html.zip
)
#-----------------------------------------------------------------------------
%changelog
